Problems with cumbia-Qtcontrols in Qtdesigner

Hi,

I'm having problems with cumbia.
I think I have installed cumbia-libs from elettra correctly, cumbia, modules, plugins, basic applications, and I configured the '.pri' and '.pro' files too. The only thing I haven't installed is epic-controls because i think its not necessary. But I when i do a project with qumbiaprojectwizard doesn't appears to me the cumbia-Qtcontrols graphical elements when i use qtdesigner.
What I have:

What should be:


And also when i do a project with qumbiaprojectwizard and afterwards I use cuuimake it appears to me this:
Edited 2 months ago
hello Diego.
You may be missing QT_PLUGIN_PATH with the additional path to cumbia libs designer plugins.
In my case, being libs installed under /usr/local/cumbia-libs:

> export QT_PLUGIN_PATH=/usr/local/cumbia-libs/lib/qumbia-plugins

The messages in red in the second screenshot are just warnings because you are not using yet the variables addressed therein.
Hello Giacomos

I put QT_PLUGIN_PATH(in my case /usr/local/lib/qumbia-plugins) and I have reinstalled the modules of qtcontrols, tango-controls, plugins and qumbiaprojectwizard (also in /usr/local). And it still doesn't appear to me the qtcontrols elements
what is inside

/usr/local/cumbia-libs/lib/qumbia-plugins/designer/ ?

Can you go to Qt Designer help->about plugins and see if it points to the cause?
Hola Diego,
it seems that the Qt designer does not actually see the cumbia designer plugin .so
Could You please double check

> echo $QT_PLUGIN_PATH ?

Because if Qt designer finds the plugin, it must be shown in the about->plugins dialog, either loaded or failed with an error message.

You can also try locate where the loaded plugins (f.e. libqwt) are and see if something is wrong with your QT_PLUGIN_PATH as far as cumbia plugin is concerned.

I think this issue should be easy to debug

Let me know

Suerte y Saludos
Sorry, I did the screenshot without the QT_PLUGIN_PATH, the message that is in Qt Designer help->about plugins is "Cannot load library /usr/local/lib/qumbia-plugins/designer/libcumbia-qtcontrols-pool-plugin.so: (libqwt.so.6: cannot open shared object file: File or directory does not exist)"
Edited 2 months ago
Hola Diego.
OK, you need to check if your LD_LIBRARY_PATH contains the qwt/installation/path/lib

Giacomo.
Hi Giacomo,

when you mean "qwt/installation/path/lib" you mean "/usr/local/qwt-6.1.5/lib/? Because if so, it still doesn't work for me.
Hello Diego, looking at the message

Diego&
Sorry, I did the screenshot without the QT_PLUGIN_PATH, the message that is in Qt Designer help->about plugins is "Cannot load library /usr/local/lib/qumbia-plugins/designer/libcumbia-qtcontrols-pool-plugin.so: (libqwt.so.6: cannot open shared object file: File or directory does not exist)"

"libqwt.so.6 cannot open… "

means that such library cannot be found. Probably you need the

LD_LIBRARY_PATH

to include qwt lib directory.

Please double check

Saludos
 
Register or login to create to post a reply.